Subject: Re: bug#18381: 24.3.93; Diary can wrongly be displayed in Calendar's window

From: martin rudalics <[email-masked]>
Date: Thu, 04 Sep 2014 14:27:49 +0200

> 0. emacs -Q
 > 1. Type `M-x calendar' and then `i d' to create a diary file with an
 >     entry for today.
 > 2. M-x customize-option RET calendar-view-diary-initially-flag RET,
 >     toggle the value to `On' and save for current session.
 > 3. M-x diary => The diary entry made in step 1 is displayed (in the
 >     Fancy Diary) in the lower window (which is not the selected window).

The window you're using to display `diary' here ...

 > 4. M-x calendar => The lower window resizes to fit the Calendar, which
 >     is fleetingly displayed in it but then replaced by the Fancy Diary
 >     display (in the same resized window).

... is the same window where you first show the calendar here.  As a
consequence, `display-buffer-in-previous-window' will find a window
where you have shown `diary' already and reuse that window.  I'm not
sure what's the best thing to do here - maybe we should remove
`display-buffer-in-previous-window' from
`display-buffer-fallback-action' in `calendar-in-read-only-buffer'.

martin